<?php
 session_start();
    
   include("../pdate.php");
   $todayDate= pdate("Y/n/j");
   $date = new DateTime('-30 day');

    
  $startDate=$date->format('Y/n/j'); 
  $startDate=pdate("Y/n/j"); 
  
  $customerName=$_SESSION['customerName'];
  //$customar_id=$_SESSION['customar_code'];
   $customerID=$_GET['customerID'];
 
if($customerID!=0){
	   $customar_id=$customerID ;
	   $customar_id=$_SESSION['customar_code']=$customar_id;
 }
if($customerID==0){
	 $customar_id= $_SESSION['customar_code'];
	
 }  
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
 
<html xmlns="http://www.w3.org/1999/xhtml">
<title>Customer Payment List</title>
<head>
   <link rel="icon" href="../images/favicon.ico" type="image/png"/>  
   <link rel="stylesheet" href="table_style/table_style7.css">
   <link href="../css/pagenation.css" rel="stylesheet" type="text/css" /> 

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="../css/print.css" /> 
<!-- ===================ÇíÌÇÏ íÇã ÈÑÇí æíÑÇíÔ ÝÇíá====================================-->
<script type="text/javascript" src="../change/edite/revenue_edite.js"></script> 
<script type="text/javascript" src="../change/delete/revenue_delete.js"></script>
 
<!--======================= ÇíÇä  ============================================================-->
 <style>
 a:link {
    text-decoration: none;
	color: #000;
}

 a:hover {
    color: red;
	text-decoration: underline;
}
a:active {
     
    color: #000;
}

@font-face {
	  font-family: 'hekmat';
	  src: url('../font/BHoma.ttf'); /* IE */
      src: local('BHoma-Bold'), url('../font/BHoma.ttf') format('truetype'); /* non-IE */
      font-weight:normal;
}
.font{
    color: #000;
    font-family: 'hekmat';  

}
@media print {

   .dontPrint {
       display:none;
    }

    }
	
	@media all{
.page-break{display:none;}
}
@media print{
.page-break{display:block;page-break-after:always;}
.dote img {visibility: visible;}
}
 
@page 
{
   size: auto;   /* auto is the initial value */
    margin: 3mm;  /* this affects the margin in the printer settings */
 }
  @media print {
    html, body {
        height: 99%;    
    }
}
 </style>

</head>
	<body onkeydown = "onKeyDown()" onKeyPress="return disableEnterKey(event)">
 <?php  include("r_c_d_s_p/back_print_save_refresh.php"); ?>
<div id="wrap">
<table border="0" align="center"   width="950px" dir="rtl" class="font">
		<tr>
			<th style="width:166px;text-align:right">
			   <form method="post" action="">
				<table border='0' class="dontPrint">
				<tr>
					<td>تاریخ شروع</td>
					<td><input type="text" name="startDate" value="<?php  echo $startDate; ?>"></td>
				</tr>
				<tr>
					<td>تاریخ ختم</td>
					<td><input type="text" name="endDate" value="<?php  echo $todayDate; ?>"></td>
					
				</tr>
				<tr>
				<td>نوعیت پول</td>
				<td>
				    <select name="counterCurrency"  id='counterCurrency'  style="width:100%" onchange="changeCurrency();existingCustomerBalance();dollarsRate()" onclick="changeCurrency();existingCustomerBalance();dollarsRate()">
					<option></option>
						<?php
							include("db.php");
							$sql="select * from currencies";
						    $query=$db ->query($sql);
							while($row=$query ->fetch_array()){
							$id=$row['id'];
							$name=$row['name'];
							echo "<option value='$id'>$name</option>";	
							}
							echo "</select>";
														
						?>
				</td>
				<td><input type="submit" name="submit" value="جستجو" ></td>
				</tr>
				 
				</table>
			</form>
			
			
			
			
			<?php 
			      $startDate=$_POST['startDate'];
	          
	              $endDate=$_POST['endDate']; 
			  
			  if(isset( $startDate) and isset( $endDate)){
			  
			  
			  
				  echo '</th>
				<th style="width:206px"><h2>صرافی مرحوم نظر محمد قلعه نوی</h2>لیست خریدو فروش&nbsp;'. ucfirst($customerName);
			    
				echo "<br><span style='color:green'>از </span>".$startDate.'<span style="color:green"> TO </span>'.$endDate.'</td>';
				}
			  
			  else{
			   
			     echo '</th>
			     <th style="width:206px"><h2>صرافی مرحوم نظر محمد قلعه نوی</h2>لیست خریدو فروش&nbsp;'.ucfirst($customerName);
			      echo '</br> '.pdate("Y-m-d" ).'</th>';
			  }
			  ?>
			
			<th style="width:186px;text-align:left" ><img src="img/tash.png" width="100" height="95"   ></th>
			 
		</tr>
		</table> 

 <div id='content'>
 
  <?php
   if($_POST['submit']){
     
	$startDate=$_POST['startDate'];
	 
	$endDate=$_POST['endDate'];
	 
	$counterCurrency=$_POST['counterCurrency'];
     
    include("db.php");
	 
    $customer_id = $_SESSION['customar_code'];
	 
	$tableName="customerssell";		
	$targetpage = "customerSealsCreport.php"; 	
	$limit = 12; 
	
	$sql="SELECT COUNT(*) as num FROM `$tableName` where customerId='$customer_id' and counterCurrency='$counterCurrency'  and remove='0' and amount!='0' and (date BETWEEN '$startDate' AND  '$endDate')";
	$query= $db ->query($sql);
	$total_pages= $query ->fetch_array();
	
	 
	$total_pages = $total_pages[num];
	
	$stages = 3;
	$page = mysql_escape_string($_GET['page']);
	if($page){
		$start = ($page - 1) * $limit; 
	}else{
		$start = 0;	
		}	
	//================================================inter page cods HERE===============================================
    // Get page data
		
	  //echo "<div id='content'>";
	
	  echo'
			<table id="box-table-a"   dir="rtl"  align="center" >
	        <thead> 
				<th scope="col">شماره</th>
				<th scope="col">تاریخ</th>
				<th scope="col">فروشات از</th>
				<th scope="col">خریدارت به</th>
				<th scope="col">مقدار خریداری</th>
				 
				 
				<th scope="col">نرخ فروش</th>
				
				 
				<th scope="col">مجموع فروشات</th>
				 
				 
				 
			</thead>
				 ';
    // Get page data
	 echo "<div id='content'>";
	  
			                include('db.php');
				            

						 $table_name="customerssell";
						 
					 
						 $mony_sql="SELECT   *  FROM `$tableName`  where customerId='$customer_id' and counterCurrency='$counterCurrency'  and remove='0' and amount!='0' and (date BETWEEN '$startDate' AND  '$endDate')   ORDER BY `date`    LIMIT $start, $limit";
						 $mony_query= $db ->query($mony_sql);
				  
						  
                          while($nrow=$mony_query ->fetch_array()){
						    $ii++;
							$id = $nrow['id'];
							$customerId = $nrow['customerId'];
							$date= $nrow['date'];
							$counterCurrency= $nrow['counterCurrency'];//پول خریداری شده
							$baseAmount= $nrow['baseAmount'];//پول فروخته شده
							$total+=$amount= $nrow['amount']; // مقدار خرید شده
							$sellRate= $nrow['sellRate'];     // نرخ فروش
							$buyRate= $nrow['buyRate'];       // نرخ خرید
							$totalSell= $nrow['totalSell'];   // مجموع فروشات
							$totalBuy= $nrow['totalBuy'];   // مجموع خریداریها
							$dollartotalsell= $nrow['dollartotalsell'];   // مجموع فروشات به دالر
							$dollartotalbuy= $nrow['dollartotalbuy'];   // مجموع خریداریها به دالر
							$profit= $nrow['profit'];   // مفاد
							$dollarProfit= $nrow['dollarProfit'];   // مفاد به دالر
							
							 
							 
							 
							 //=============finding Unit====================================
							  $unit_sql="select unit from crrencyrate where counterCurrency='$counterCurrency'";
							  $unit_query=$db ->query($unit_sql);
							  $unit_Row=$unit_query ->fetch_array();
							  $unit=$unit_Row['unit'];
							 //=============end finding Unit====================================
							 
							 
							//******************************Currency Name*******************************
							 $buycurrency_sql="select name from  `currencies` where id='$counterCurrency'";
							 $buycurrency_query=$db ->query($buycurrency_sql);
							 $buycurrency_row=$buycurrency_query ->fetch_array();
							 $buycurrency=$buycurrency_row['name'];	
							//=============================================================
							//******************************sale Currency Name*******************************
							 $salecurrency_sql="select name from  `currencies` where id='$baseAmount'";
							 $salecurrency_query=$db ->query($salecurrency_sql);
							 $salecurrency_row=$salecurrency_query ->fetch_array();
							 $salecurrency=$salecurrency_row['name'];	
							//=============================================================
							 
							    
						    //**************************************************************************************************   
							 
							 
			echo "<tbody>
			<tr>
			<td>".$ii."</td>
			<td>".$date."</td>
			<td>".$salecurrency."</td>
			<td>".$buycurrency."</td>
			<td>".number_format($amount,2)."</td> 
			<td>".number_format(($sellRate*$unit),2) ."</td>
			<td>".number_format($totalSell,2)."</td>
			 
			
			 
			 
			 </tr>";					  
				 	  } 
		  
            
		 
	 echo'    	</table>';
	 echo "<br></div>";
//====================================================================================================================
	// Initial page num setup
	if ($page == 0){$page = 1;}
	$prev = $page - 1;	
	$next = $page + 1;							
	$lastpage = ceil($total_pages/$limit);		
	$LastPagem1 = $lastpage - 1;					
	
	
	$paginate = '';
	if($lastpage > 1)
	{	
	

	
	
		$paginate .= "<div class='paginate'>";
		// Previous
		if ($page > 1){
			$paginate.= "<a href='$targetpage?page=$prev'>previous</a>";
		}else{
			$paginate.= "<span class='disabled'>previous</span>";	}
			

		
		// Pages	
		if ($lastpage < 7 + ($stages * 2))	// Not enough pages to breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page){
					$paginate.= "<span class='current'>$counter</span>";
				}else{
					$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
			}
		}
		elseif($lastpage > 5 + ($stages * 2))	// Enough pages to hide a few?
		{
			// Beginning only hide later pages
			if($page < 1 + ($stages * 2))		
			{
				for ($counter = 1; $counter < 4 + ($stages * 2); $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage'>$lastpage</a>";		
			}
			// Middle hide some front and some back
			elseif($lastpage - ($stages * 2) > $page && $page > ($stages * 2))
			{
				$paginate.= "<a href='$targetpage?page=1'>1</a>";
				$paginate.= "<a href='$targetpage?page=2'>2</a>";
				$paginate.= "...";
				for ($counter = $page - $stages; $counter <= $page + $stages; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage'>$lastpage</a>";		
			}
			// End only hide early pages
			else
			{
				$paginate.= "<a href='$targetpage?page=1'>1</a>";
				$paginate.= "<a href='$targetpage?page=2'>2</a>";
				$paginate.= "...";
				for ($counter = $lastpage - (2 + ($stages * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
			}
		}
					
				// Next
		if ($page < $counter - 1){ 
			$paginate.= "<a href='$targetpage?page=$next'>next</a>";
		}else{
			$paginate.= "<span class='disabled'>next</span>";
			}
			
		$paginate.= "</div>";		
	
	
}
 
 echo $paginate;
 die;
}

?>
<!--==========================================================================================-->  
<!--==========================================================================================-->  
<!--==========================================================================================-->  
	<?php  
	    
   include("db.php");
	 
    $customer_id = $_SESSION['customar_code'];
	 
    
	$tableName="customerssell";		
	$targetpage = "customerSealsCreport.php"; 	
	$limit = 12; 
	
	$sql="SELECT COUNT(*) as num FROM `$tableName` where customerId='$customer_id'  and remove='0' and amount!='0'   ";
	
	$query= $db ->query($sql);
	$total_pages= $query ->fetch_array();
	
	 
	$total_pages = $total_pages[num];
	
	$stages = 3;
	$page = mysql_escape_string($_GET['page']);
	if($page){
		$start = ($page - 1) * $limit; 
	}else{
		$start = 0;	
		}	
	//================================================inter page cods HERE===============================================
    // Get page data
		
	  //echo "<div id='content'>";
	
	  echo'
			<table id="box-table-a"   dir="rtl"  align="center" >
	        <thead> 
				<th scope="col">شماره</th>
				<th scope="col">تاریخ</th>
				<th scope="col">فروشات از </th>
				<th scope="col">خریدات به</th>
				<th scope="col">مقدار خریداری</th>
				<th scope="col">نرخ فروش</th>
				<th scope="col">مجموع فروشات</th>
				 
			</thead>
				 ';
    // Get page data
	 echo "<div id='content'>";
	  
			                include('db.php');
				            

						 

							
						 $table_name="customerssell";
						 
					 
						 $mony_sql="SELECT   *  FROM `$tableName` where customerId='$customer_id'   and  remove='0' and amount!='0'   ORDER BY `date`    LIMIT $start, $limit";
						 $mony_query= $db ->query($mony_sql);
				  
						  
                          while($nrow=$mony_query ->fetch_array()){
						    $ii++;
							$id = $nrow['id'];
							$customerId = $nrow['customerId'];
							$date= $nrow['date'];
							$counterCurrency= $nrow['counterCurrency'];//پول خریداری شده
							$baseAmount= $nrow['baseAmount'];//پول فروخته شده
							$total+=$amount= $nrow['amount']; // مقدار خرید شده
							$sellRate= $nrow['sellRate'];     // نرخ فروش
							$buyRate= $nrow['buyRate'];       // نرخ خرید
							$totalSell= $nrow['totalSell'];   // مجموع فروشات
							$totalBuy= $nrow['totalBuy'];   // مجموع خریداریها
							$dollartotalsell= $nrow['dollartotalsell'];   // مجموع فروشات به دالر
							$dollartotalbuy= $nrow['dollartotalbuy'];   // مجموع خریداریها به دالر
							$profit= $nrow['profit'];   // مفاد
							$dollarProfit= $nrow['dollarProfit'];   // مفاد به دالر
							
							 
							 
							 
							//=============================================================
							 //=============finding Unit====================================
							  $unit_sql="select unit from crrencyrate where counterCurrency='$counterCurrency'";
							  $unit_query=$db ->query($unit_sql);
							  $unit_Row=$unit_query ->fetch_array();
							  $unit=$unit_Row['unit'];
							 //=============end finding Unit====================================
							 
							//******************************Currency Name*******************************
							 $buycurrency_sql="select name from  `currencies` where id='$counterCurrency'";
							 $buycurrency_query=$db ->query($buycurrency_sql);
							 $buycurrency_row=$buycurrency_query ->fetch_array();
							 $buycurrency=$buycurrency_row['name'];	
							//=============================================================
							//******************************sale Currency Name*******************************
							 $salecurrency_sql="select name from  `currencies` where id='$baseAmount'";
							 $salecurrency_query=$db ->query($salecurrency_sql);
							 $salecurrency_row=$salecurrency_query ->fetch_array();
							 $salecurrency=$salecurrency_row['name'];	
							//=============================================================
							 
							//=============================================================
							 
							 
							 
			echo "<tbody>
			<tr>
			<td>".$ii."</td>
			<td>".$date."</td>
			<td>".$salecurrency."</td>
			<td>".$buycurrency."</td>
			<td>".number_format($amount,2)."</td> 
			  
			 
			<td>".number_format(($sellRate*$unit),2) ."</td>
			<td>".number_format($totalSell,2)."</td>
			  
			 
			 
			 
			 </tr>";					  
				 	  } 
		 
			 
		 
	 echo'    	</table>';
	 echo "<br></div>";
	 echo "<div class='dontPrint'>";
//====================================================================================================================
	// Initial page num setup
	if ($page == 0){$page = 1;}
	$prev = $page - 1;	
	$next = $page + 1;							
	$lastpage = ceil($total_pages/$limit);		
	$LastPagem1 = $lastpage - 1;					
	
	
	$paginate = '';
	if($lastpage > 1)
	{	
	

	
	
		$paginate .= "<div class='paginate'>";
		// Previous
		if ($page > 1){
			$paginate.= "<a href='$targetpage?page=$prev'>previous</a>";
		}else{
			$paginate.= "<span class='disabled'>previous</span>";	}
			

		
		// Pages	
		if ($lastpage < 7 + ($stages * 2))	// Not enough pages to breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page){
					$paginate.= "<span class='current'>$counter</span>";
				}else{
					$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
			}
		}
		elseif($lastpage > 5 + ($stages * 2))	// Enough pages to hide a few?
		{
			// Beginning only hide later pages
			if($page < 1 + ($stages * 2))		
			{
				for ($counter = 1; $counter < 4 + ($stages * 2); $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage'>$lastpage</a>";		
			}
			// Middle hide some front and some back
			elseif($lastpage - ($stages * 2) > $page && $page > ($stages * 2))
			{
				$paginate.= "<a href='$targetpage?page=1'>1</a>";
				$paginate.= "<a href='$targetpage?page=2'>2</a>";
				$paginate.= "...";
				for ($counter = $page - $stages; $counter <= $page + $stages; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
				$paginate.= "...";
				$paginate.= "<a href='$targetpage?page=$LastPagem1'>$LastPagem1</a>";
				$paginate.= "<a href='$targetpage?page=$lastpage'>$lastpage</a>";		
			}
			// End only hide early pages
			else
			{
				$paginate.= "<a href='$targetpage?page=1'>1</a>";
				$paginate.= "<a href='$targetpage?page=2'>2</a>";
				$paginate.= "...";
				for ($counter = $lastpage - (2 + ($stages * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page){
						$paginate.= "<span class='current'>$counter</span>";
					}else{
						$paginate.= "<a href='$targetpage?page=$counter'>$counter</a>";}					
				}
			}
		}
					
				// Next
		if ($page < $counter - 1){ 
			$paginate.= "<a href='$targetpage?page=$next'>next</a>";
		}else{
			$paginate.= "<span class='disabled'>next</span>";
			}
			
		$paginate.= "</div>";		
	
	
}
 
 echo $paginate;
//===================================================================================================================================				 			
  ?> 
	
			
 </tbody></table>
</div>
</div>  
 </body>
 </form>
 </html>  
  
 
     